Loading...
Searching...
No Matches
Opm::KeywordGenerator Class Reference

## Public Member Functions

| KeywordGenerator (bool verbose)
void | updateBuiltInHeader (const KeywordLoader &loader, const std::string &headerBuildPath, const std::string &headerPath, const std::string &sourcePath) const
void | updateInitSource (const KeywordLoader &loader, const std::string &sourceFile, const std::string &sourcePath) const
void | updateKeywordSource (const KeywordLoader &loader, const std::string &sourceFile) const
void | updatePybindSource (const KeywordLoader &loader, const std::string &sourceFile) const
void | updateHeader (const KeywordLoader &loader, const std::string &headerBuildPath, const std::string &headerPath) const
void | updateTest (const KeywordLoader &loader, const std::string &testFile) const

## Static Public Member Functions

static void | ensurePath (const std::string &file_name)
static std::string | endTest ()
static std::string | startTest (const std::string &test_name)
static std::string | headerHeader (const std::string &)
static void | updateFile (const std::stringstream &newContent, const std::string &filename)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Generator/KeywordGenerator.hpp
- opm/input/eclipse/Generator/KeywordGenerator.cpp